Package: org.codehaus.groovy.ast.stmt

## [Java] Class WhileStatement

- org.codehaus.groovy.ast.stmt.WhileStatement

- All Implemented Interfaces and Traits:
    LoopingStatement

      public class WhileStatement
      extends Statement

  Represents a while (condition) { ... } loop in Groovy

  Authors:
    James Strachan

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `interface Statement` | `CLOSE_CURRENT_RESULT, KEEP_CURRENT_RESULT, CLOSE_ALL_RESULTS, SUCCESS_NO_INFO, EXECUTE_FAILED, RETURN_GENERATED_KEYS, NO_GENERATED_KEYS`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `BooleanExpression` | `booleanExpression`
    `Statement` | `loopBlock`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `WhileStatement (BooleanExpression booleanExpression, Statement loopBlock)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `BooleanExpression` | `getBooleanExpression()`
    `` | `Statement` | `getLoopBlock()`
    `` | `void` | `setBooleanExpression(BooleanExpression booleanExpression)`
    `` | `void` | `setLoopBlock(Statement loopBlock)`
    `` | `void` | `visit(GroovyCodeVisitor visitor)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface Statement` | `execute, execute, execute, execute, close, getConnection, isClosed, cancel, getResultSet, addBatch, clearBatch, closeOnCompletion, executeBatch, executeLargeBatch, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getGeneratedKeys, getLargeMaxRows, getLargeUpdateCount, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getUpdateCount, isCloseOnCompletion, isPoolable, setCursorName, setEscapeProcessing, setLargeMaxRows, setMaxFieldSize, setMaxRows, setPoolable, setQueryTimeout, clearWarnings, getFetchDirection, getFetchSize, getWarnings, setFetchDirection, setFetchSize, unwrap, isWrapperFor`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### BooleanExpression booleanExpression

    - #### Statement loopBlock

  - ### Constructor Detail

    - #### public WhileStatement(BooleanExpression booleanExpression, Statement loopBlock)

  - ### Method Detail

    - #### public BooleanExpression getBooleanExpression()

    - #### public Statement getLoopBlock()

    - #### public void setBooleanExpression(BooleanExpression booleanExpression)

    - #### public void setLoopBlock(Statement loopBlock)

    - #### public void visit(GroovyCodeVisitor visitor)